"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyRS256 = void 0;
const tslib_1 = require("tslib");
const nodersa = require('node-rsa');
const jwt = tslib_1.__importStar(require("jsonwebtoken"));
function verifyRS256(data, signature, authenticators) {
    const signer = authenticators.find((pk) => {
        return jwt.verify(`${data}.${signature}`, pk.publicKeyPem, {
            algorithms: ['RS256']
        });
    });
    if (!signer)
        throw new Error('Signature invalid for JWT');
    return signer;
}
exports.verifyRS256 = verifyRS256;
const algorithms = {
    RS256: verifyRS256
};
function VerifierAlgorithm(alg) {
    const impl = algorithms[alg];
    if (!impl)
        throw new Error(`Unsupported algorithm ${alg}`);
    return impl;
}
exports.default = VerifierAlgorithm;
//# sourceMappingURL=VerifierAlgorithm.js.map